# Change Log

## [v4.1](https://github.com/confluentinc/ksql/tree/v4.1) (2018-04-17)
[Full Changelog](https://github.com/confluentinc/ksql/compare/v0.5...v4.1.0)

_Note: Because of the integration with Confluent Platform integration, KSQL now uses the former's versioning scheme._

KSQL is now production ready and GA. It is distributed as part of Confluent Platform 4.1
([download](https://www.confluent.io/download/)).

Our [4.1 release blog](https://www.confluent.io/blog/confluent-platform-4-1-with-production-ready-ksql-now-available/)
has the details about what's new in this release.
The [KSQL 4.1 Upgrade Guide](https://docs.confluent.io/4.1.0/ksql/docs/installation/upgrading.html) provides information
on how to upgrade from KSQL v0.x developer preview releases to v4.1.


## [v0.5](https://github.com/confluentinc/ksql/tree/v0.5) (2018-03-07)
[Full Changelog](https://github.com/confluentinc/ksql/compare/v0.4...v0.5)

This release included various bugfixes to stabilize KSQL.

## [v0.4](https://github.com/confluentinc/ksql/tree/v0.4) (2018-02-01)
[Full Changelog](https://github.com/confluentinc/ksql/compare/v0.3...v0.4)

**Implemented enhancements:**

- Integration with Schema Registry [\#483](https://github.com/confluentinc/ksql/issues/483)

**Closed issues:**

- KSQL Avro format seems to be incompatible with the avro format expected by Kafka connect. [\#651](https://github.com/confluentinc/ksql/issues/651)
- CSAS execution silently fails [\#643](https://github.com/confluentinc/ksql/issues/643)
- Enhance 'print topic;' to display kafka topics [\#625](https://github.com/confluentinc/ksql/issues/625)
- ksql-server-start will hang when it "Unable to check broker compatibility" [\#611](https://github.com/confluentinc/ksql/issues/611)
- UDF function to search if the value exists in the json array [\#607](https://github.com/confluentinc/ksql/issues/607)
- CSAS: WITH is incompatible with WHERE?  [\#604](https://github.com/confluentinc/ksql/issues/604)
- Timestamp field appears not to work in DESCRIBE EXTENDED [\#603](https://github.com/confluentinc/ksql/issues/603)
- EXTRACTJSONFIELD JSON array support [\#523](https://github.com/confluentinc/ksql/issues/523)
- Extend the DESCRIBE statement to more useful information [\#470](https://github.com/confluentinc/ksql/issues/470)

**Merged pull requests:**

- Update quickstart docs with new output for describe [\#684](https://github.com/confluentinc/ksql/pull/684) ([apurvam](https://github.com/apurvam))
- Expect ksql-run-class parameters after the class name [\#683](https://github.com/confluentinc/ksql/pull/683) ([rodesai](https://github.com/rodesai))
- Bump version to 0.4 [\#682](https://github.com/confluentinc/ksql/pull/682) ([apurvam](https://github.com/apurvam))
- Make sure each Beacon ping includes current time [\#681](https://github.com/confluentinc/ksql/pull/681) ([apovzner](https://github.com/apovzner))
- Update the start scripts so that the ksql server always generates a gc log [\#674](https://github.com/confluentinc/ksql/pull/674) ([apurvam](https://github.com/apurvam))
- More informative help output for print-metrics [\#671](https://github.com/confluentinc/ksql/pull/671) ([rodesai](https://github.com/rodesai))
- Cos integration for KSQL. [\#663](https://github.com/confluentinc/ksql/pull/663) ([hjafarpour](https://github.com/hjafarpour))
- Remove suppression of method length check [\#662](https://github.com/confluentinc/ksql/pull/662) ([dguy](https://github.com/dguy))
- Allow passing a properties file to the quickstart examples [\#657](https://github.com/confluentinc/ksql/pull/657) ([mimaison](https://github.com/mimaison))
- enable checkstyle check to avoid star import [\#654](https://github.com/confluentinc/ksql/pull/654) ([dguy](https://github.com/dguy))
- update datagen so iteration works properly and add schemas to use for testing [\#653](https://github.com/confluentinc/ksql/pull/653) ([dguy](https://github.com/dguy))
- Use PhoneHomeConfig for KSQL Beacon [\#648](https://github.com/confluentinc/ksql/pull/648) ([apovzner](https://github.com/apovzner))
- updates for line length style check [\#645](https://github.com/confluentinc/ksql/pull/645) ([norwood](https://github.com/norwood))
- use EntityUtils instead of manually reading entity [\#644](https://github.com/confluentinc/ksql/pull/644) ([norwood](https://github.com/norwood))
- Add ksql-tools [\#634](https://github.com/confluentinc/ksql/pull/634) ([rodesai](https://github.com/rodesai))
- Tests for cli module plus further tests for refactoring. [\#626](https://github.com/confluentinc/ksql/pull/626) ([dguy](https://github.com/dguy))
- Enhance show topics; and print "topic"; [\#624](https://github.com/confluentinc/ksql/pull/624) ([bluemonk3y](https://github.com/bluemonk3y))
- \[BUG\] jsonNode array index access for EXTRACTJSONFIELD [\#610](https://github.com/confluentinc/ksql/pull/610) ([robert2d](https://github.com/robert2d))
- \[UDF\] JSON Array Contains function [\#608](https://github.com/confluentinc/ksql/pull/608) ([satybald](https://github.com/satybald))
- \[Minor\] Fix Variable initialization [\#602](https://github.com/confluentinc/ksql/pull/602) ([satybald](https://github.com/satybald))

## [v0.3](https://github.com/confluentinc/ksql/tree/v0.3) (2018-01-16)
[Full Changelog](https://github.com/confluentinc/ksql/compare/0.3...v0.3)

## [0.3](https://github.com/confluentinc/ksql/tree/0.3) (2018-01-16)
[Full Changelog](https://github.com/confluentinc/ksql/compare/v0.3-temp...0.3)

**Fixed bugs:**

- Broker compatibility check needs at least one topic to exist [\#612](https://github.com/confluentinc/ksql/issues/612)

**Closed issues:**

- Compilation issue: assembly-plugin group id '113584762' is too big [\#590](https://github.com/confluentinc/ksql/issues/590)
- Quickstart Non-Docker Setup for KSQL encounters error during compilation and cannot find symbol "class ZkUtilsProvider" [\#582](https://github.com/confluentinc/ksql/issues/582)
- Add system test - Rolling bounces [\#467](https://github.com/confluentinc/ksql/issues/467)
- Add system test - Core Kafka broker failures \(one node or complete cluster, hard and soft\) [\#466](https://github.com/confluentinc/ksql/issues/466)
- Add system test - lose a stream or rest node \(due to OOM or crash\)  [\#465](https://github.com/confluentinc/ksql/issues/465)
- Make KSQL emit warning message when running against non-compliant AK, CK version [\#464](https://github.com/confluentinc/ksql/issues/464)

**Merged pull requests:**

- restore assembly configs [\#621](https://github.com/confluentinc/ksql/pull/621) ([aayars](https://github.com/aayars))
- remove docker boilerplate now provided by common [\#618](https://github.com/confluentinc/ksql/pull/618) ([aayars](https://github.com/aayars))
- create topic if none exist during broker compat test \#612 [\#617](https://github.com/confluentinc/ksql/pull/617) ([dguy](https://github.com/dguy))
- Fix queries with limit [\#615](https://github.com/confluentinc/ksql/pull/615) ([rodesai](https://github.com/rodesai))
- Refactoring to use schema type for comparison. [\#614](https://github.com/confluentinc/ksql/pull/614) ([hjafarpour](https://github.com/hjafarpour))
- Use Apache commons CSV package for both serializer and deserializer i… [\#613](https://github.com/confluentinc/ksql/pull/613) ([hjafarpour](https://github.com/hjafarpour))
- COS packaging for KSQL. [\#609](https://github.com/confluentinc/ksql/pull/609) ([hjafarpour](https://github.com/hjafarpour))
- KSQL-473: point quickstart non-docker docs to release tarballs [\#601](https://github.com/confluentinc/ksql/pull/601) ([rodesai](https://github.com/rodesai))
- Fix code style issues [\#599](https://github.com/confluentinc/ksql/pull/599) ([satybald](https://github.com/satybald))
- MINOR: Further code cleanups. [\#597](https://github.com/confluentinc/ksql/pull/597) ([dguy](https://github.com/dguy))
- Support avro types for nullable fields  generated by Connect. [\#592](https://github.com/confluentinc/ksql/pull/592) ([hjafarpour](https://github.com/hjafarpour))
- MINOR: don't allow modification of AggregateAnalysis collections externally [\#589](https://github.com/confluentinc/ksql/pull/589) ([dguy](https://github.com/dguy))
- KSQL-508: add metrics interceptors instead of replacing [\#585](https://github.com/confluentinc/ksql/pull/585) ([rodesai](https://github.com/rodesai))
- Tests for commons package. [\#584](https://github.com/confluentinc/ksql/pull/584) ([hjafarpour](https://github.com/hjafarpour))
- Ksql 569 serde tests [\#583](https://github.com/confluentinc/ksql/pull/583) ([hjafarpour](https://github.com/hjafarpour))
- Skip the '@' character in the beginning of the field name in JSON  [\#581](https://github.com/confluentinc/ksql/pull/581) ([hjafarpour](https://github.com/hjafarpour))
- KSQL-235:  dont block on socket read [\#579](https://github.com/confluentinc/ksql/pull/579) ([rodesai](https://github.com/rodesai))
- Top k udaf [\#575](https://github.com/confluentinc/ksql/pull/575) ([hjafarpour](https://github.com/hjafarpour))

## [v0.3-temp](https://github.com/confluentinc/ksql/tree/v0.3-temp) (2018-01-05)
[Full Changelog](https://github.com/confluentinc/ksql/compare/v0.2...v0.3-temp)

**Implemented enhancements:**

- View Tables Properties for a Stream [\#516](https://github.com/confluentinc/ksql/issues/516)

**Fixed bugs:**

- Don't execute create table/create stream as select statements during startup when the entity has been dropped [\#531](https://github.com/confluentinc/ksql/issues/531)
- Don't replay all previous events found on the command topic [\#454](https://github.com/confluentinc/ksql/issues/454)
- CLI should not start up if server is down [\#360](https://github.com/confluentinc/ksql/issues/360)

**Closed issues:**

- Command topic replication factor is not set correctly. [\#564](https://github.com/confluentinc/ksql/issues/564)
- Update Avro docs for tables because of issue 557 [\#561](https://github.com/confluentinc/ksql/issues/561)
- CREATE TABLE examples do not define KEY property yet [\#559](https://github.com/confluentinc/ksql/issues/559)
- Build Failing in all versions [\#558](https://github.com/confluentinc/ksql/issues/558)
- Schema inference for tables [\#557](https://github.com/confluentinc/ksql/issues/557)
- Add avro sample data generation in examples package. [\#541](https://github.com/confluentinc/ksql/issues/541)
- Could not find artifact io.confluent:common:pom:4.0.0-SNAPSHOT [\#537](https://github.com/confluentinc/ksql/issues/537)
- GROUP BY not recognizing SELECT Elements? [\#512](https://github.com/confluentinc/ksql/issues/512)
- Can't find any documentation about ksql in Confluent 4.0.x [\#502](https://github.com/confluentinc/ksql/issues/502)
- join not supported? [\#493](https://github.com/confluentinc/ksql/issues/493)
- LEFT Join statement always return null [\#491](https://github.com/confluentinc/ksql/issues/491)
- Don't start terminated queries on ksql-server startup [\#482](https://github.com/confluentinc/ksql/issues/482)
- Error building kqsl: Non-resolvable parent POM for io.confluent.ksql:ksql-parent:4.0.0-SNAPSHOT [\#481](https://github.com/confluentinc/ksql/issues/481)
- Add basic metrics integration to KSQL [\#463](https://github.com/confluentinc/ksql/issues/463)

**Merged pull requests:**

- Fix compilation issue group id '113584762' is too big in assemly-plugin [\#591](https://github.com/confluentinc/ksql/pull/591) ([satybald](https://github.com/satybald))
- MINOR: remove unused KsqlConfig param from QueryMetadata etc [\#588](https://github.com/confluentinc/ksql/pull/588) ([dguy](https://github.com/dguy))
- Fix findbugs errors [\#587](https://github.com/confluentinc/ksql/pull/587) ([ewencp](https://github.com/ewencp))
- Fix findbugs errors [\#586](https://github.com/confluentinc/ksql/pull/586) ([ewencp](https://github.com/ewencp))
- Fixed the issue with BaseMetricsReporter. [\#578](https://github.com/confluentinc/ksql/pull/578) ([hjafarpour](https://github.com/hjafarpour))
- Updated the docs. [\#574](https://github.com/confluentinc/ksql/pull/574) ([hjafarpour](https://github.com/hjafarpour))
- Add a column for the 0.3 release to the version compatibility docs [\#571](https://github.com/confluentinc/ksql/pull/571) ([apurvam](https://github.com/apurvam))
- KSQL-473: add a package module [\#570](https://github.com/confluentinc/ksql/pull/570) ([rodesai](https://github.com/rodesai))
- The number of replicas for the command topic should be set by 'ksql.s… [\#565](https://github.com/confluentinc/ksql/pull/565) ([hjafarpour](https://github.com/hjafarpour))
- Docs improvement. [\#563](https://github.com/confluentinc/ksql/pull/563) ([hjafarpour](https://github.com/hjafarpour))
- Schema inference for tables [\#562](https://github.com/confluentinc/ksql/pull/562) ([hjafarpour](https://github.com/hjafarpour))
- Remove redundant "for more information" in DESCRIBE EXTENDED output [\#560](https://github.com/confluentinc/ksql/pull/560) ([miguno](https://github.com/miguno))
- KSQL-493: Fix producer thread leak [\#556](https://github.com/confluentinc/ksql/pull/556) ([rodesai](https://github.com/rodesai))
- Minor updates to the non docker quickstart [\#552](https://github.com/confluentinc/ksql/pull/552) ([apurvam](https://github.com/apurvam))
- Fix quickstart to have the correct schema registry url [\#551](https://github.com/confluentinc/ksql/pull/551) ([apurvam](https://github.com/apurvam))
- Clarify that Docker clickstream demo requires 5+ GB of RAM [\#549](https://github.com/confluentinc/ksql/pull/549) ([miguno](https://github.com/miguno))
- Minor docs improvements [\#548](https://github.com/confluentinc/ksql/pull/548) ([miguno](https://github.com/miguno))
- Improve DESCRIBE and EXPLAIN docs \(see PR \#539\) [\#547](https://github.com/confluentinc/ksql/pull/547) ([miguno](https://github.com/miguno))
- Docs updates for 0.3 release [\#546](https://github.com/confluentinc/ksql/pull/546) ([apurvam](https://github.com/apurvam))
- Add ability to specify the schema registry url to the CLI in local mode. [\#545](https://github.com/confluentinc/ksql/pull/545) ([apurvam](https://github.com/apurvam))
- Added avro producer for data gen for the new schema registry integrat… [\#544](https://github.com/confluentinc/ksql/pull/544) ([hjafarpour](https://github.com/hjafarpour))
- Fixed minor style issues in the docs. [\#543](https://github.com/confluentinc/ksql/pull/543) ([hjafarpour](https://github.com/hjafarpour))
- Bump ksql version to 0.3 [\#542](https://github.com/confluentinc/ksql/pull/542) ([apurvam](https://github.com/apurvam))
- Improve docs on DESCRIBE and EXPLAIN [\#539](https://github.com/confluentinc/ksql/pull/539) ([miguno](https://github.com/miguno))
-  Add tip on configuring artifactory to ensure builds are working [\#538](https://github.com/confluentinc/ksql/pull/538) ([miguno](https://github.com/miguno))
- Add ratings example [\#535](https://github.com/confluentinc/ksql/pull/535) ([blueedgenick](https://github.com/blueedgenick))
- Add Idle query and error rate metrics [\#534](https://github.com/confluentinc/ksql/pull/534) ([apurvam](https://github.com/apurvam))
- don't execute dropped streams/tables, but update metastore [\#532](https://github.com/confluentinc/ksql/pull/532) ([dguy](https://github.com/dguy))
- KSQL-484 - Add version compatibility table to the docs [\#526](https://github.com/confluentinc/ksql/pull/526) ([joel-hamill](https://github.com/joel-hamill))
- Support DESCRIBE EXTENDED, v2 [\#522](https://github.com/confluentinc/ksql/pull/522) ([bluemonk3y](https://github.com/bluemonk3y))
- Print more informative error messages [\#514](https://github.com/confluentinc/ksql/pull/514) ([rodesai](https://github.com/rodesai))
- Add metrics which report the number of running queries [\#513](https://github.com/confluentinc/ksql/pull/513) ([apurvam](https://github.com/apurvam))
- Describe extend functionality [\#511](https://github.com/confluentinc/ksql/pull/511) ([bluemonk3y](https://github.com/bluemonk3y))
- Don't run terminated queries at startup \#482 [\#508](https://github.com/confluentinc/ksql/pull/508) ([dguy](https://github.com/dguy))
- Remove outdated roadmap document [\#507](https://github.com/confluentinc/ksql/pull/507) ([miguno](https://github.com/miguno))
- Revert commits which broke the docs [\#501](https://github.com/confluentinc/ksql/pull/501) ([apurvam](https://github.com/apurvam))
- KSQL-476: Use explicit tags for docker image dependencies [\#500](https://github.com/confluentinc/ksql/pull/500) ([aayars](https://github.com/aayars))
- add broker compatibility check [\#499](https://github.com/confluentinc/ksql/pull/499) ([dguy](https://github.com/dguy))
- fix regression in app id creation [\#498](https://github.com/confluentinc/ksql/pull/498) ([dguy](https://github.com/dguy))
- Make doc links point to GH repo [\#496](https://github.com/confluentinc/ksql/pull/496) ([joel-hamill](https://github.com/joel-hamill))
- Fixed the regression for stream-table join. Table should always read … [\#495](https://github.com/confluentinc/ksql/pull/495) ([hjafarpour](https://github.com/hjafarpour))
- Add list of actual results to CLITest output when it fails [\#494](https://github.com/confluentinc/ksql/pull/494) ([apurvam](https://github.com/apurvam))
- change replication factor check when creating topics [\#492](https://github.com/confluentinc/ksql/pull/492) ([dguy](https://github.com/dguy))
- Add snapshots repo for Confluent dependencies [\#490](https://github.com/confluentinc/ksql/pull/490) ([aayars](https://github.com/aayars))
- Ksql 415 schema registry integration [\#488](https://github.com/confluentinc/ksql/pull/488) ([hjafarpour](https://github.com/hjafarpour))
- Fix the sporadically failing CLITests [\#486](https://github.com/confluentinc/ksql/pull/486) ([apurvam](https://github.com/apurvam))
- Hide user name and password command line flags  [\#485](https://github.com/confluentinc/ksql/pull/485) ([apurvam](https://github.com/apurvam))
- Change jenkins slack channel [\#484](https://github.com/confluentinc/ksql/pull/484) ([hjafarpour](https://github.com/hjafarpour))
- Don't replay all previous events found on the command topic \#454 [\#480](https://github.com/confluentinc/ksql/pull/480) ([dguy](https://github.com/dguy))
- Added basic auth capabilities to KSQL Remote cli [\#477](https://github.com/confluentinc/ksql/pull/477) ([apurvam](https://github.com/apurvam))
- Adding metric-collection for DESCRIBE EXTEND [\#475](https://github.com/confluentinc/ksql/pull/475) ([bluemonk3y](https://github.com/bluemonk3y))
- Make key property mandatory in CREATE TABLE statement. [\#473](https://github.com/confluentinc/ksql/pull/473) ([hjafarpour](https://github.com/hjafarpour))
- DOCS-127 - Add KSQL doc to CP [\#472](https://github.com/confluentinc/ksql/pull/472) ([joel-hamill](https://github.com/joel-hamill))
- Add doc for fail.on.deserialization.error [\#462](https://github.com/confluentinc/ksql/pull/462) ([dguy](https://github.com/dguy))
- KSQL-351 - Doc error for ksql-server-start [\#440](https://github.com/confluentinc/ksql/pull/440) ([joel-hamill](https://github.com/joel-hamill))

## [v0.2](https://github.com/confluentinc/ksql/tree/v0.2) (2017-11-20)
[Full Changelog](https://github.com/confluentinc/ksql/compare/0.1-pre10...v0.2)

**Implemented enhancements:**

- Ksql 294 drop source correctly [\#451](https://github.com/confluentinc/ksql/issues/451)

**Fixed bugs:**

- KSQL does not create log directory [\#359](https://github.com/confluentinc/ksql/issues/359)

**Closed issues:**

- EXTRACTJSONFIELD type [\#446](https://github.com/confluentinc/ksql/issues/446)
- SELECT statements hang in ksql-cli and server mode [\#442](https://github.com/confluentinc/ksql/issues/442)
- Remove duplicate Metastore fixture [\#437](https://github.com/confluentinc/ksql/issues/437)
- Delimited Integration Test [\#434](https://github.com/confluentinc/ksql/issues/434)
- compile failure with some dependency issue [\#423](https://github.com/confluentinc/ksql/issues/423)
- Fix findbugs warnings [\#412](https://github.com/confluentinc/ksql/issues/412)
- Review exception and error reporting [\#394](https://github.com/confluentinc/ksql/issues/394)
- Provide config to use Stream Deserialization Exception handler [\#384](https://github.com/confluentinc/ksql/issues/384)
- Make QueryStreamWriter use threads properly \[KSQL-397\] [\#382](https://github.com/confluentinc/ksql/issues/382)
- ksql-cli should be able to accept input from STDIN and a filename via an argument [\#380](https://github.com/confluentinc/ksql/issues/380)
- TEST: Add Stream Table - Left-Join integration test [\#374](https://github.com/confluentinc/ksql/issues/374)
- Demo - Grafana 502 error in Data Source [\#373](https://github.com/confluentinc/ksql/issues/373)
- what is the format of Kafka data that ksql require? [\#364](https://github.com/confluentinc/ksql/issues/364)
- refactor integration tests and enhance KSQLContext [\#340](https://github.com/confluentinc/ksql/issues/340)
- Running 'ksql-cli local' on different kafka port from default [\#334](https://github.com/confluentinc/ksql/issues/334)
- rename ksql- modules [\#331](https://github.com/confluentinc/ksql/issues/331)
- Restructure QueuedSchemaKStream [\#329](https://github.com/confluentinc/ksql/issues/329)
- Refactor core into parser, metastore and common [\#326](https://github.com/confluentinc/ksql/issues/326)
- "ksql-cli local" worked very well when first used  and after that it started hanging [\#320](https://github.com/confluentinc/ksql/issues/320)
- Question about query  [\#310](https://github.com/confluentinc/ksql/issues/310)
- No value present when joining two tables [\#308](https://github.com/confluentinc/ksql/issues/308)
- LEFT JOIN query results in java.lang.String cannot be cast to org.apache.kafka.streams.kstream.Windowed [\#305](https://github.com/confluentinc/ksql/issues/305)
- ksql-cli hangs after server maintenance, WARN No records received after 30 seconds of polling in log [\#303](https://github.com/confluentinc/ksql/issues/303)
- can not load data in grafana [\#300](https://github.com/confluentinc/ksql/issues/300)
- The demo Dashboard don't load the Data [\#294](https://github.com/confluentinc/ksql/issues/294)
- Kafka avro schema data not reflecting from topic [\#293](https://github.com/confluentinc/ksql/issues/293)
- Possible to avoid running tests? [\#292](https://github.com/confluentinc/ksql/issues/292)
- ksql standalone mode error  [\#290](https://github.com/confluentinc/ksql/issues/290)
- Compile SqlBase.g4 less SqlBaseBaseVisitor [\#287](https://github.com/confluentinc/ksql/issues/287)
- Creating stream and associated stream with new topic, appears to be attempting to associate with another topic [\#285](https://github.com/confluentinc/ksql/issues/285)
- CREATE STREAM AS SELECT is not exists KEY property [\#279](https://github.com/confluentinc/ksql/issues/279)
- "Query terminated" not appropriate [\#270](https://github.com/confluentinc/ksql/issues/270)
- Clickstream Demo: Recovering from install errors [\#262](https://github.com/confluentinc/ksql/issues/262)
- Need a way to sample a topic  [\#261](https://github.com/confluentinc/ksql/issues/261)
- After starting the docker-quickstart, I can't see any Kafka topics [\#259](https://github.com/confluentinc/ksql/issues/259)
- Readme images [\#164](https://github.com/confluentinc/ksql/issues/164)

**Merged pull requests:**

- Assign query id only to the persistent queries \(CSAS/CTAS\). We don't … [\#461](https://github.com/confluentinc/ksql/pull/461) ([hjafarpour](https://github.com/hjafarpour))
- Clarify that WHERE clause can refer to any column, including implicit columns [\#460](https://github.com/confluentinc/ksql/pull/460) ([miguno](https://github.com/miguno))
- Fixed the regression bug for aggregates with no window. [\#459](https://github.com/confluentinc/ksql/pull/459) ([hjafarpour](https://github.com/hjafarpour))
- Bump metrics-client version to 4.1.0-SNAPSHOT in master [\#458](https://github.com/confluentinc/ksql/pull/458) ([apurvam](https://github.com/apurvam))
- use a random free port in KsqlRestClientTest [\#457](https://github.com/confluentinc/ksql/pull/457) ([dguy](https://github.com/dguy))
- reset repartition flag after map [\#450](https://github.com/confluentinc/ksql/pull/450) ([dguy](https://github.com/dguy))
- KSQL 420 join criteria validation [\#447](https://github.com/confluentinc/ksql/pull/447) ([hjafarpour](https://github.com/hjafarpour))
- Ksql 294 drop source correctly [\#444](https://github.com/confluentinc/ksql/pull/444) ([hjafarpour](https://github.com/hjafarpour))
- remove duplicate metastore fixture [\#438](https://github.com/confluentinc/ksql/pull/438) ([bluemonk3y](https://github.com/bluemonk3y))
- Delimited integration test [\#435](https://github.com/confluentinc/ksql/pull/435) ([bluemonk3y](https://github.com/bluemonk3y))
- add DDLStatement interface, extract command factory, tidy up, test etc [\#433](https://github.com/confluentinc/ksql/pull/433) ([dguy](https://github.com/dguy))
- extract QueryAnalyzer from QueryEngine [\#432](https://github.com/confluentinc/ksql/pull/432) ([dguy](https://github.com/dguy))
- KSQL-398: integration test covering quickstart scenarios [\#431](https://github.com/confluentinc/ksql/pull/431) ([apurvam](https://github.com/apurvam))
- Ksql beacon [\#429](https://github.com/confluentinc/ksql/pull/429) ([mageshn](https://github.com/mageshn))
- findbugs exclusions [\#428](https://github.com/confluentinc/ksql/pull/428) ([dguy](https://github.com/dguy))
- clickstream demo CI images [\#427](https://github.com/confluentinc/ksql/pull/427) ([aayars](https://github.com/aayars))
- Clarify the deployment modes [\#426](https://github.com/confluentinc/ksql/pull/426) ([miguno](https://github.com/miguno))
- Add example for using `--exec` [\#425](https://github.com/confluentinc/ksql/pull/425) ([miguno](https://github.com/miguno))
- fix more findbugs warnings [\#424](https://github.com/confluentinc/ksql/pull/424) ([dguy](https://github.com/dguy))
- Added self documentation to the KSQL config public config variables. [\#422](https://github.com/confluentinc/ksql/pull/422) ([hjafarpour](https://github.com/hjafarpour))
- remove checkstlye build plugin as it is provided by the parent pom [\#421](https://github.com/confluentinc/ksql/pull/421) ([dguy](https://github.com/dguy))
- fix findbugs warnings in ksql-rest [\#420](https://github.com/confluentinc/ksql/pull/420) ([dguy](https://github.com/dguy))
- Fixed the regression bug for CSAS/CTAS result type check. [\#419](https://github.com/confluentinc/ksql/pull/419) ([hjafarpour](https://github.com/hjafarpour))
- findbugs warnings in ksql-parser [\#418](https://github.com/confluentinc/ksql/pull/418) ([dguy](https://github.com/dguy))
- fix findbugs warnings in examples [\#417](https://github.com/confluentinc/ksql/pull/417) ([dguy](https://github.com/dguy))
- findbugs warnings in ksql-engine [\#416](https://github.com/confluentinc/ksql/pull/416) ([dguy](https://github.com/dguy))
- fix findbugs in ksql-common [\#415](https://github.com/confluentinc/ksql/pull/415) ([dguy](https://github.com/dguy))
- fix findbugs warning in cli [\#414](https://github.com/confluentinc/ksql/pull/414) ([dguy](https://github.com/dguy))
- fix findbugs in json deserializer [\#413](https://github.com/confluentinc/ksql/pull/413) ([dguy](https://github.com/dguy))
- use mapValues instead of map in SchemaKStream.select [\#411](https://github.com/confluentinc/ksql/pull/411) ([dguy](https://github.com/dguy))
- new-tests [\#407](https://github.com/confluentinc/ksql/pull/407) ([TheRealHaui](https://github.com/TheRealHaui))
- Bring back the commented assertions in StatementExecutorTest and aCom… [\#406](https://github.com/confluentinc/ksql/pull/406) ([hjafarpour](https://github.com/hjafarpour))
- move functionality out of PhysicalPlanBuilder into other classes and add tests [\#405](https://github.com/confluentinc/ksql/pull/405) ([dguy](https://github.com/dguy))
- Removed unused config variable. [\#404](https://github.com/confluentinc/ksql/pull/404) ([hjafarpour](https://github.com/hjafarpour))
- add tests for ExpressionFormatter [\#399](https://github.com/confluentinc/ksql/pull/399) ([dguy](https://github.com/dguy))
- remove duplicate ExpressionFormatterQueryRewrite class and move some logic to remove instanceof [\#398](https://github.com/confluentinc/ksql/pull/398) ([dguy](https://github.com/dguy))
- Make WindowingIntTest more reliable [\#397](https://github.com/confluentinc/ksql/pull/397) ([dguy](https://github.com/dguy))
- Moved duplicate exceptions to one function [\#396](https://github.com/confluentinc/ksql/pull/396) ([samupra](https://github.com/samupra))
- CODE: pass over looking at exception handling and reporting \[KQL-395\] [\#395](https://github.com/confluentinc/ksql/pull/395) ([bluemonk3y](https://github.com/bluemonk3y))
- fix bad serde package declaration [\#392](https://github.com/confluentinc/ksql/pull/392) ([blueedgenick](https://github.com/blueedgenick))
- Ksql 383 clean up internal topics for terminated queries [\#391](https://github.com/confluentinc/ksql/pull/391) ([hjafarpour](https://github.com/hjafarpour))
- add test for SelectValueMapper [\#389](https://github.com/confluentinc/ksql/pull/389) ([dguy](https://github.com/dguy))
- minor tidy ups to get rid of some unchecked warnings etc [\#387](https://github.com/confluentinc/ksql/pull/387) ([dguy](https://github.com/dguy))
- Provide config to use Stream Deserialization Exception handler \#384 [\#385](https://github.com/confluentinc/ksql/pull/385) ([dguy](https://github.com/dguy))
- CODE: rework threading on QueryStreamWriter [\#383](https://github.com/confluentinc/ksql/pull/383) ([bluemonk3y](https://github.com/bluemonk3y))
- make join test more reliable [\#381](https://github.com/confluentinc/ksql/pull/381) ([dguy](https://github.com/dguy))
- Extract SelectValueMapper from SchemaKStream and SchemaKTable [\#379](https://github.com/confluentinc/ksql/pull/379) ([dguy](https://github.com/dguy))
- Put window aggregate logic into the various KsqlWindowExpression classes [\#377](https://github.com/confluentinc/ksql/pull/377) ([dguy](https://github.com/dguy))
- move the createsink method out of SchemaKStream [\#376](https://github.com/confluentinc/ksql/pull/376) ([dguy](https://github.com/dguy))
- TEST: adding stream-table join [\#375](https://github.com/confluentinc/ksql/pull/375) ([bluemonk3y](https://github.com/bluemonk3y))
- TEST: adding windowing integration tests, updated streams integration util [\#371](https://github.com/confluentinc/ksql/pull/371) ([bluemonk3y](https://github.com/bluemonk3y))
- Ksql 386 ksql functions non static [\#370](https://github.com/confluentinc/ksql/pull/370) ([hjafarpour](https://github.com/hjafarpour))
- remove jackson dependency in ksql-rest-app. [\#369](https://github.com/confluentinc/ksql/pull/369) ([dguy](https://github.com/dguy))
- Remove SourceNode as it is redundant [\#368](https://github.com/confluentinc/ksql/pull/368) ([dguy](https://github.com/dguy))
- TEST: Refactoring integration tests from 0.1.x [\#367](https://github.com/confluentinc/ksql/pull/367) ([bluemonk3y](https://github.com/bluemonk3y))
- MINOR: Use streams 1.0 api methods [\#365](https://github.com/confluentinc/ksql/pull/365) ([dguy](https://github.com/dguy))
- After bumping the dependency to 4.0.0 we encountered some issues that… [\#363](https://github.com/confluentinc/ksql/pull/363) ([hjafarpour](https://github.com/hjafarpour))
- Revert "Ksql 388 fix 400 build issues" [\#362](https://github.com/confluentinc/ksql/pull/362) ([hjafarpour](https://github.com/hjafarpour))
- Ksql 388 fix 400 build issues [\#361](https://github.com/confluentinc/ksql/pull/361) ([hjafarpour](https://github.com/hjafarpour))
- Extract methods, remove duplication, etc from PhysicalPlanBuilder [\#356](https://github.com/confluentinc/ksql/pull/356) ([dguy](https://github.com/dguy))
- Merge 0.1.x into Master [\#352](https://github.com/confluentinc/ksql/pull/352) ([hjafarpour](https://github.com/hjafarpour))
- Reverting adminclient singleton temporarily. [\#351](https://github.com/confluentinc/ksql/pull/351) ([hjafarpour](https://github.com/hjafarpour))
- Pom cleanup after refactor [\#350](https://github.com/confluentinc/ksql/pull/350) ([hjafarpour](https://github.com/hjafarpour))
- skip bad data in json and delimitted deserializer [\#347](https://github.com/confluentinc/ksql/pull/347) ([dguy](https://github.com/dguy))
- MINOR: replace window-unit with TimeUnit [\#346](https://github.com/confluentinc/ksql/pull/346) ([dguy](https://github.com/dguy))
- Bluemonk3y 0.1.x code 379 started int test refactor [\#344](https://github.com/confluentinc/ksql/pull/344) ([hjafarpour](https://github.com/hjafarpour))
- MINOR: ksqlengine tidy up [\#343](https://github.com/confluentinc/ksql/pull/343) ([dguy](https://github.com/dguy))
- MINOR: remove unused imports [\#342](https://github.com/confluentinc/ksql/pull/342) ([dguy](https://github.com/dguy))
- 0.1.x \[340\] started integration test refactoring [\#341](https://github.com/confluentinc/ksql/pull/341) ([bluemonk3y](https://github.com/bluemonk3y))
- Master [\#339](https://github.com/confluentinc/ksql/pull/339) ([hjafarpour](https://github.com/hjafarpour))
- Ksql config refactor [\#338](https://github.com/confluentinc/ksql/pull/338) ([hjafarpour](https://github.com/hjafarpour))
- MINOR: remove dead code. make field and method access more restricted [\#337](https://github.com/confluentinc/ksql/pull/337) ([dguy](https://github.com/dguy))
- No need to set the streams application.id for the rest server. [\#336](https://github.com/confluentinc/ksql/pull/336) ([hjafarpour](https://github.com/hjafarpour))
- First step in better testing tools. Added an integration test tool to… [\#335](https://github.com/confluentinc/ksql/pull/335) ([hjafarpour](https://github.com/hjafarpour))
- KSQL-378: content-based routing [\#333](https://github.com/confluentinc/ksql/pull/333) ([ybyzek](https://github.com/ybyzek))
- rename ksql-core to ksql-engine [\#332](https://github.com/confluentinc/ksql/pull/332) ([bluemonk3y](https://github.com/bluemonk3y))
- Extracted Pipeline into QueuePopulatorSchema [\#330](https://github.com/confluentinc/ksql/pull/330) ([bluemonk3y](https://github.com/bluemonk3y))
- Fixed the drop table issue. [\#328](https://github.com/confluentinc/ksql/pull/328) ([hjafarpour](https://github.com/hjafarpour))
- Refactored the package for GenericRow. [\#327](https://github.com/confluentinc/ksql/pull/327) ([hjafarpour](https://github.com/hjafarpour))
- refactoring parser, core and common [\#325](https://github.com/confluentinc/ksql/pull/325) ([bluemonk3y](https://github.com/bluemonk3y))
- Including the streams config properties in the session with CTAS and … [\#324](https://github.com/confluentinc/ksql/pull/324) ([hjafarpour](https://github.com/hjafarpour))
- Clarify how streams and tables are stored in topics [\#323](https://github.com/confluentinc/ksql/pull/323) ([miguno](https://github.com/miguno))
- 0.1.x bug fix command queue replay hang [\#321](https://github.com/confluentinc/ksql/pull/321) ([bluemonk3y](https://github.com/bluemonk3y))
- added persistent information for streams and table [\#319](https://github.com/confluentinc/ksql/pull/319) ([bluemonk3y](https://github.com/bluemonk3y))
- Small code quality improvements [\#313](https://github.com/confluentinc/ksql/pull/313) ([TheRealHaui](https://github.com/TheRealHaui))
- add-some-unit-tests [\#312](https://github.com/confluentinc/ksql/pull/312) ([TheRealHaui](https://github.com/TheRealHaui))
- Clarify KSQL works with AK and CP [\#302](https://github.com/confluentinc/ksql/pull/302) ([miguno](https://github.com/miguno))
- Update non-docker-clickstream.md [\#301](https://github.com/confluentinc/ksql/pull/301) ([himani1](https://github.com/himani1))
- MINOR: fix checkstyle errors and fail build if there are checkstyle violations [\#298](https://github.com/confluentinc/ksql/pull/298) ([dguy](https://github.com/dguy))
- Document how to configure the Kafka bootstrap servers [\#297](https://github.com/confluentinc/ksql/pull/297) ([miguno](https://github.com/miguno))
- Add upstream project so build are triggered automatically [\#296](https://github.com/confluentinc/ksql/pull/296) ([ewencp](https://github.com/ewencp))
- Emit succinct error for missing query file [\#291](https://github.com/confluentinc/ksql/pull/291) ([kirktrue](https://github.com/kirktrue))
- Documentation improvements [\#289](https://github.com/confluentinc/ksql/pull/289) ([miguno](https://github.com/miguno))
- Add missing word to roadmap [\#288](https://github.com/confluentinc/ksql/pull/288) ([elliotcm](https://github.com/elliotcm))
- remove build-tools copy, use pluginRepository in pom [\#286](https://github.com/confluentinc/ksql/pull/286) ([aayars](https://github.com/aayars))
- Fixed a minor error in the syntax guide. [\#281](https://github.com/confluentinc/ksql/pull/281) ([hjafarpour](https://github.com/hjafarpour))
- Feature fix misspelled words [\#280](https://github.com/confluentinc/ksql/pull/280) ([juneng603](https://github.com/juneng603))
- Improvements to syntax guide [\#277](https://github.com/confluentinc/ksql/pull/277) ([miguno](https://github.com/miguno))
- Added LIKE examples to syntax guide and examples. [\#271](https://github.com/confluentinc/ksql/pull/271) ([hjafarpour](https://github.com/hjafarpour))
- KSQL screencast image [\#268](https://github.com/confluentinc/ksql/pull/268) ([joel-hamill](https://github.com/joel-hamill))
- Fix non-docker quickstart examples [\#257](https://github.com/confluentinc/ksql/pull/257) ([joel-hamill](https://github.com/joel-hamill))
- Update slack URL [\#256](https://github.com/confluentinc/ksql/pull/256) ([joel-hamill](https://github.com/joel-hamill))
- Add screencast [\#255](https://github.com/confluentinc/ksql/pull/255) ([joel-hamill](https://github.com/joel-hamill))
- Doc feedback rollup [\#254](https://github.com/confluentinc/ksql/pull/254) ([joel-hamill](https://github.com/joel-hamill))
- KSQL-318 - define roadmap [\#253](https://github.com/confluentinc/ksql/pull/253) ([bluemonk3y](https://github.com/bluemonk3y))
- Improve examples.md [\#246](https://github.com/confluentinc/ksql/pull/246) ([miguno](https://github.com/miguno))



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*
